#ifndef FRIEND_HPP_INCLUDED
#define FRIEND_HPP_INCLUDED

#include "Talkable.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class Friend : public Talkable
    {
        public:
            Friend();
            Friend(const void* Obj);
            Friend(const Friend& F);
            static Class GetClass();

    };
}

#endif // FRIEND_HPP_INCLUDED
